#include <bits/stdc++.h>

using namespace std;

const int MOD=1e9+7;

long long pow(long long a, long long b)
{
    if (b==0)
        return 1;
    if (b==1)
        return a%MOD;
    long long x=pow(a,b/2);
    long long y=pow(a,b%2);
    x*=x;
    x%MOD;
    x*=y;
    x%=MOD;
    return x;
}

int n;
int a[100000];
double q;

int main()
{
    int t;
    cin>>t;
    for (int tt=0; tt<t; tt++)
    {
        cin>>n;
        cin>>q;
        q/=100;
        long long ans=0;
        for (int i=1; i<=n; i++)
            cin>>a[i];
        for (int i=1; i<=n; i++)
        {
            int p=0;
            for (int j=i; j<=n; j++)
            {
                p+=a[j];
                if (p>=q*(j-i+1))
                    ans++;
            }
        }
        cout<<ans<<" ";
    }
    return 0;
}
